<?php
$loader = $this->registry->get('load');
$loader->controller('product/productList');

class ControllerModuleProductVisualized extends ControllerProductProductList {

	public function index($setting=null) {
    $this->language->load('module/product_visualized');

        if (isset($setting['hide_title'])) {
            $heading_title = false;
        } else {
            $heading_title = ($this->config->get('product_visualized_title')) ? $this->config->get('product_visualized_title') : $this->language->get('heading_title');
        }

        $this->data['productListTitle'] = array();

        $this->data['productListTitle'] = array(
            'heading_title' => $heading_title,
            'heading_subtitle' => $this->config->get('product_visualized_subtitle') ? $this->config->get('product_visualized_subtitle') : ''
        );

        $this->productlistitle->setProductListTitle($this->data['productListTitle']);

		$this->data['heading_title']           = $heading_title;
        $this->data['productbox_size'] = $this->config->get('wg24_productbox_size');
		$this->data['link'] = $this->url->link('product/modules_in_page','&name='.str_replace('.php', '', basename( __FILE__ )),'SSL');
		$this->data['grid']             = (isset($setting['entry_type'])) ? $setting['entry_type'] : 0;
        $this->data['product_list_title_style'] =  $this->config->get('product_list_title_style');

        $this->childrenData = array(
            'product/productList/moduleProductVisualized' => $setting
        );

        $this->children = array(
            'common/product_list_title',
        );

		$this->render('module/product_visualized');
	}

}
